Subject: [bug#42678] [PATCH, WIP] gnu: libimagequant: Update to 2.12.6

From: Efraim Flashner <[email-masked]>
Date: Mon, 3 Aug 2020 10:47:12 +0300

On Mon, Aug 03, 2020 at 09:26:41AM +0200, Mathieu Othacehe wrote:
> 
> Hello,
> 
> > Just a simple update, but sadly, I am unable to build using QEMU for other platforms. Same as with previous version, it does NOT build correctly on armhf.
> 
> You mean using "-s armhf-linux"?
> 
> I tried to build it using this command:
> 
> --8<---------------cut here---------------start------------->8---
> guix build libimagequant --target=arm-linux-gnueabihf
> --8<---------------cut here---------------end--------------->8---
> 
> and I have a build trace similar to yours. The issue seems to be that
> the configure script does not detect our intent to cross-compile,
> because it uses "gcc" instead of "arm-linux-gnueabihf-gcc".
> 
> Mathieu
> 

Also armhf and aarch64 don't have the SSE instruction code as part of
the architecture. lensfun in gnu/packages/photo.scm has an example of
disabling SSE on all platforms except for x64_64 and i686.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted